5 comments on “DSS-1 upgrade kits available again!

    • Do you have the DSS-1 or DSM-1 ? Do you want to upgrade, or just replace the floppy drive? You can use an HxC floppy emulator, which will also work with the DSM-1. My kit only works with the DSS-1 keyboard.

Leave a Reply

Your email address will not be published. Required fields are marked *